Compare commits

...

13 Commits

Author SHA1 Message Date
Taiki Endo
835cdc15ee Release 2.9.3 2023-06-05 12:41:56 +09:00
Taiki Endo
8ce495dd98 Tweak scripts 2023-06-05 12:41:49 +09:00
github-actions[bot]
41ff3eead4 Update cargo-udeps@latest to 0.1.40 (#127)
Co-authored-by: Taiki Endo <te316e89@gmail.com>
2023-06-05 12:42:38 +10:00
Taiki Endo
371685e159 Release 2.9.2 2023-06-03 13:34:35 +09:00
Taiki Endo
7104084080 Update cspell dictionary 2023-06-03 13:34:20 +09:00
github-actions[bot]
363eda296b Update manifest (#126)
* Update `cargo-llvm-cov@latest` to 0.5.20

* Update `dprint@latest` to 0.37.1

* Update `just@latest` to 1.14.0

---------

Co-authored-by: Taiki Endo <te316e89@gmail.com>
2023-06-03 12:49:41 +10:00
Taiki Endo
9aedfccc54 Release 2.9.1 2023-06-01 13:21:18 +09:00
github-actions[bot]
371df73946 Update wasmtime@latest to 9.0.3 (#125)
Co-authored-by: Taiki Endo <te316e89@gmail.com>
2023-06-01 14:02:23 +10:00
Taiki Endo
eacdd1887a Update tools/tidy.sh 2023-05-31 02:55:36 +09:00
Taiki Endo
1d74f337f2 Release 2.9.0 2023-05-29 13:10:11 +09:00
Taiki Endo
e4c87dbea6 Update changelog 2023-05-29 13:09:07 +09:00
Jiahao XU
81635a4e23 Pass --locked to cargo-binstall
So that if taiki-e/install-action fallback to cargo-install, it will use the lockfile instead of latest version for every dep to ensure the compilation succeeds.
2023-05-29 12:53:36 +09:00
github-actions[bot]
b1b01a6e03 Update mdbook@latest to 0.4.30 (#123)
Co-authored-by: Taiki Endo <te316e89@gmail.com>
2023-05-29 13:01:28 +10:00
11 changed files with 190 additions and 23 deletions

View File

@@ -100,6 +100,7 @@ docsrs
doctest
doctests
hasher
idents
impls
inlateout
intrinsics
@@ -108,6 +109,7 @@ mclass
memcpy
msrv
nand
nanos
nomem
nonoverlapping
noreturn
@@ -124,6 +126,8 @@ rustlib
seqcst
simd
splitn
structs
subsec
supertrait
supertraits
sysroot
@@ -145,6 +149,7 @@ endianness
esac
euxo
gsub
moreutils
msys
noninteractive
noprofile

View File

@@ -10,6 +10,28 @@ Note: In this file, do not use the hard wrap in the middle of a sentence for com
## [Unreleased]
## [2.9.3] - 2023-06-05
- Update `cargo-udeps@latest` to 0.1.40.
## [2.9.2] - 2023-06-03
- Update `just@latest` to 1.14.0.
- Update `dprint@latest` to 0.37.1.
- Update `cargo-llvm-cov@latest` to 0.5.20.
## [2.9.1] - 2023-06-01
- Update `wasmtime@latest` to 9.0.3.
## [2.9.0] - 2023-05-29
- Update `mdbook@latest` to 0.4.30.
- Make cargo-binstall fallback more robust. ([#124](https://github.com/taiki-e/install-action/pull/124), thanks @NobodyXu)
## [2.8.8] - 2023-05-27
- Update `wasmtime@latest` to 9.0.2.
@@ -819,7 +841,11 @@ Note: This release is considered a breaking change because installing on version
Initial release
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.8.8...HEAD
[Unreleased]: https://github.com/taiki-e/install-action/compare/v2.9.3...HEAD
[2.9.3]: https://github.com/taiki-e/install-action/compare/v2.9.2...v2.9.3
[2.9.2]: https://github.com/taiki-e/install-action/compare/v2.9.1...v2.9.2
[2.9.1]: https://github.com/taiki-e/install-action/compare/v2.9.0...v2.9.1
[2.9.0]: https://github.com/taiki-e/install-action/compare/v2.8.8...v2.9.0
[2.8.8]: https://github.com/taiki-e/install-action/compare/v2.8.7...v2.8.8
[2.8.7]: https://github.com/taiki-e/install-action/compare/v2.8.6...v2.8.7
[2.8.6]: https://github.com/taiki-e/install-action/compare/v2.8.5...v2.8.6

View File

@@ -583,5 +583,5 @@ if [[ ${#unsupported_tools[@]} -gt 0 ]]; then
# By default, cargo-binstall enforce downloads over secure transports only.
# As a result, http will be disabled, and it will also set
# min tls version to be 1.2
cargo binstall --force --no-confirm "${unsupported_tools[@]}"
cargo binstall --force --no-confirm --locked "${unsupported_tools[@]}"
fi

View File

@@ -17,10 +17,27 @@
}
},
"latest": {
"version": "0.5.19"
"version": "0.5.20"
},
"0.5": {
"version": "0.5.19"
"version": "0.5.20"
},
"0.5.20": {
"x86_64_linux_musl": {
"checksum": "688aefd7b53917d29b3fa8d81cb449e98138c6b9a6c768eff412f9a523fd3e62"
},
"x86_64_macos": {
"checksum": "69eb20beb8a2d2f455bd8be486f92718645fa94c726751698c125f92d11bbc54"
},
"x86_64_windows": {
"checksum": "e69502d1fa9003cd50d003142afc8398a84442b630cb2279b6291dde65d66ac3"
},
"aarch64_linux_musl": {
"checksum": "dee687b786492b3402dabda190e9444f4e4f5e412d0e1ce7d541dd1d5d519243"
},
"aarch64_macos": {
"checksum": "5ff99c8b17dafc24471d0e498cd68f8c858a6dc613535f7ffa738a12e11b18cf"
}
},
"0.5.19": {
"x86_64_linux_musl": {

View File

@@ -30,10 +30,30 @@
}
},
"latest": {
"version": "0.1.39"
"version": "0.1.40"
},
"0.1": {
"version": "0.1.39"
"version": "0.1.40"
},
"0.1.40": {
"x86_64_linux_musl": {
"checksum": "6bb8bc63de21e47afb44e9b1fcc2f5444120a0658bfe7b2b64a0eb575667ee59"
},
"x86_64_macos": {
"checksum": "39ddc8f18f51d429f0a5adc0bdaa416532ba70e7dfd3d5200c5fcf8f981ea656"
},
"x86_64_windows": {
"checksum": "d532011810db834c7a3dfc580a6754a0204ffd146e0b29a62c508f6d89544d9f"
},
"aarch64_linux_musl": {
"checksum": "cebdbfee26548375c3f2000b6fae46ba80bff7cbfa33c8919525e3923b004f1e"
},
"aarch64_macos": {
"checksum": "6a022039c59cf273b9764bd74e991f423e03e80ddd0eaa25648207b622ab3547"
},
"aarch64_windows": {
"checksum": "6b29f3a9b0b710d9f9a2544f7bd101997845eff37836fa50edaa92fa3e5a6ad7"
}
},
"0.1.39": {
"x86_64_linux_musl": {

39
manifests/dprint.json generated
View File

@@ -20,7 +20,44 @@
}
},
"latest": {
"version": "0.36.1"
"version": "0.37.1"
},
"0.37": {
"version": "0.37.1"
},
"0.37.1": {
"x86_64_linux_musl": {
"checksum": "a8a824eed75f1030c721a7e91ae79cbd5f48f8c19470d92ec5fd0dff2715add6"
},
"x86_64_macos": {
"checksum": "1de7aea5ead649d97c19814d856fab616965177cd77cccc998f4953aa3d8c7c4"
},
"x86_64_windows": {
"checksum": "7f25e3cd03aeee23341174f50ceff7d09266d991298b44353883a98cb1b8f67e"
},
"aarch64_linux_gnu": {
"checksum": "17d108c5b27df6233fa63c4f78b8b67c040cb3325a7372c9428da62f09ed8f61"
},
"aarch64_macos": {
"checksum": "a2c5c7a61ae4ca51140779b1bcc2766d8fe0fad0589828752b29b172f20c083c"
}
},
"0.37.0": {
"x86_64_linux_musl": {
"checksum": "714abf53b00f536bbd8ef1abc88f21fe4172952d39ea87bc5d139f8cbba28be1"
},
"x86_64_macos": {
"checksum": "b50c4c812eaee6b9797d441f41961cbfbf9d040a6dbe86e1deb560b290ed28b7"
},
"x86_64_windows": {
"checksum": "c0fe6b6924d493fbea6bae983a5e93219f328919d616a19235161bd31be05dcc"
},
"aarch64_linux_gnu": {
"checksum": "0c77ecf2e889c37b823f0dc856f49a657dc09b9912a586fca267e09f378eb747"
},
"aarch64_macos": {
"checksum": "6a23f96288d6733de1cff7d8349dda73df1bcf24a963fead5551059de7f1e6d9"
}
},
"0.36": {
"version": "0.36.1"

24
manifests/just.json generated
View File

@@ -17,10 +17,30 @@
}
},
"latest": {
"version": "1.13.0"
"version": "1.14.0"
},
"1": {
"version": "1.13.0"
"version": "1.14.0"
},
"1.14": {
"version": "1.14.0"
},
"1.14.0": {
"x86_64_linux_musl": {
"checksum": "19848d0282e95f30188305b1bbd5a087793e5c6f27f5ac98207ab256027183df"
},
"x86_64_macos": {
"checksum": "ca4a787f353678d46645f060d96dc4cf8777c16d2a7f064f1aac6e284b92a64e"
},
"x86_64_windows": {
"checksum": "f718211c83e73fe2535c924e8179e9c2f70cb8d23f8039ace746670d38e3c898"
},
"aarch64_linux_musl": {
"checksum": "b3d306e5978dd239bbd7803a697006aca5c7fa1d61efccaefae134f792b9e1cb"
},
"aarch64_macos": {
"checksum": "a77944cab60285ea0cf05ee5a3ad9ff4bea313a512a4a36fa5238e77cc760bc2"
}
},
"1.13": {
"version": "1.13.0"

18
manifests/mdbook.json generated
View File

@@ -17,10 +17,24 @@
}
},
"latest": {
"version": "0.4.29"
"version": "0.4.30"
},
"0.4": {
"version": "0.4.29"
"version": "0.4.30"
},
"0.4.30": {
"x86_64_linux_musl": {
"checksum": "c911f8e5b501707a6b84a5b7162f3c6543f580e5261034d23d2843319da12bb0"
},
"x86_64_macos": {
"checksum": "02c80613f57c9d421adc4c60286c680c1e8f75a2d7d0ab4b7837819175eb967a"
},
"x86_64_windows": {
"checksum": "50c1adcabb37e291b9689b76898e91bf98428e5d5335dd3724f7c223f7a9ebb1"
},
"aarch64_linux_musl": {
"checksum": "475fc2ad49d909e8a13a8055bd9a69984e45eb70c1851f8dcf15dbf2b541815c"
}
},
"0.4.29": {
"x86_64_linux_musl": {

View File

@@ -1,13 +1,40 @@
{
"template": null,
"latest": {
"version": "9.0.2"
"version": "9.0.3"
},
"9": {
"version": "9.0.2"
"version": "9.0.3"
},
"9.0": {
"version": "9.0.2"
"version": "9.0.3"
},
"9.0.3": {
"x86_64_linux_gnu": {
"url": "https://github.com/bytecodealliance/wasmtime/releases/download/v9.0.3/wasmtime-v9.0.3-x86_64-linux.tar.xz",
"checksum": "7089f0ab5bf4d870e79a4c61404b36562e5ad486325d5da20d9c7dfd01cbce50",
"bin": "wasmtime-v9.0.3-x86_64-linux/wasmtime"
},
"x86_64_macos": {
"url": "https://github.com/bytecodealliance/wasmtime/releases/download/v9.0.3/wasmtime-v9.0.3-x86_64-macos.tar.xz",
"checksum": "d2dc9c04ec2877728c85cc08ab6a7ff5569746c462a6639c41b2e10d372fc330",
"bin": "wasmtime-v9.0.3-x86_64-macos/wasmtime"
},
"x86_64_windows": {
"url": "https://github.com/bytecodealliance/wasmtime/releases/download/v9.0.3/wasmtime-v9.0.3-x86_64-windows.zip",
"checksum": "ac2c610f83d994b09a85f3467ce2252da69c9db37a638d1b4c372a1f3d9be160",
"bin": "wasmtime-v9.0.3-x86_64-windows/wasmtime.exe"
},
"aarch64_linux_gnu": {
"url": "https://github.com/bytecodealliance/wasmtime/releases/download/v9.0.3/wasmtime-v9.0.3-aarch64-linux.tar.xz",
"checksum": "88ae51524df14ebb01564ba459ced6d5cb9fd20c1c576de32a33c13e6bb2ee13",
"bin": "wasmtime-v9.0.3-aarch64-linux/wasmtime"
},
"aarch64_macos": {
"url": "https://github.com/bytecodealliance/wasmtime/releases/download/v9.0.3/wasmtime-v9.0.3-aarch64-macos.tar.xz",
"checksum": "799310028674842752e6621e8418590cc1ddbc344a7e21a21f6ae8dfe7045414",
"bin": "wasmtime-v9.0.3-aarch64-macos/wasmtime"
}
},
"9.0.2": {
"x86_64_linux_gnu": {

View File

@@ -4,7 +4,7 @@ IFS=$'\n\t'
cd "$(dirname "$0")"/..
# shellcheck disable=SC2154
trap 's=$?; echo >&2 "$0: Error on line "${LINENO}": ${BASH_COMMAND}"; exit ${s}' ERR
trap 's=$?; echo >&2 "$0: error on line "${LINENO}": ${BASH_COMMAND}"; exit ${s}' ERR
# Publish a new release.
#

View File

@@ -6,7 +6,7 @@ IFS=$'\n\t'
cd "$(dirname "$0")"/..
# shellcheck disable=SC2154
trap 's=$?; echo >&2 "$0: Error on line "${LINENO}": ${BASH_COMMAND}"; exit ${s}' ERR
trap 's=$?; echo >&2 "$0: error on line "${LINENO}": ${BASH_COMMAND}"; exit ${s}' ERR
# USAGE:
# ./tools/tidy.sh
@@ -204,6 +204,7 @@ fi
# Spell check (if config exists)
if [[ -f .cspell.json ]]; then
info "spell checking"
project_dictionary=.github/.cspell/project-dictionary.txt
if type -P npm &>/dev/null; then
has_rust=''
if [[ -n "$(git ls-files '*Cargo.toml')" ]]; then
@@ -227,7 +228,7 @@ if [[ -f .cspell.json ]]; then
if [[ -n "${has_rust}" ]]; then
dependencies_words=$(npx <<<"${dependencies}" cspell stdin --no-progress --no-summary --words-only --unique || true)
fi
all_words=$(npx cspell --no-progress --no-summary --words-only --unique $(git ls-files | (grep -v '\.github/\.cspell/project-dictionary\.txt' || true)) || true)
all_words=$(npx cspell --no-progress --no-summary --words-only --unique $(git ls-files | (grep -v "${project_dictionary//\./\\.}" || true)) || true)
# TODO: handle SIGINT
echo "${config_old}" >.cspell.json
cat >.github/.cspell/rust-dependencies.txt <<EOF
@@ -244,17 +245,17 @@ EOF
echo "+ npx cspell --no-progress --no-summary \$(git ls-files)"
if ! npx cspell --no-progress --no-summary $(git ls-files); then
error "spellcheck failed: please fix uses of above words or add to .github/.cspell/project-dictionary.txt if correct"
error "spellcheck failed: please fix uses of above words or add to ${project_dictionary} if correct"
fi
# Make sure the project-specific dictionary does not contain duplicated words.
for dictionary in .github/.cspell/*.txt; do
if [[ "${dictionary}" == .github/.cspell/project-dictionary.txt ]]; then
if [[ "${dictionary}" == "${project_dictionary}" ]]; then
continue
fi
dup=$(sed '/^$/d' .github/.cspell/project-dictionary.txt "${dictionary}" | LC_ALL=C sort -f | uniq -d -i | (grep -v '//.*' || true))
dup=$(sed '/^$/d' "${project_dictionary}" "${dictionary}" | LC_ALL=C sort -f | uniq -d -i | (grep -v '//.*' || true))
if [[ -n "${dup}" ]]; then
error "duplicated words in dictionaries; please remove the following words from .github/.cspell/project-dictionary.txt"
error "duplicated words in dictionaries; please remove the following words from ${project_dictionary}"
echo "======================================="
echo "${dup}"
echo "======================================="
@@ -263,13 +264,13 @@ EOF
# Make sure the project-specific dictionary does not contain unused words.
unused=''
for word in $(grep -v '//.*' .github/.cspell/project-dictionary.txt || true); do
for word in $(grep -v '//.*' "${project_dictionary}" || true); do
if ! grep <<<"${all_words}" -Eq -i "^${word}$"; then
unused+="${word}"$'\n'
fi
done
if [[ -n "${unused}" ]]; then
error "unused words in dictionaries; please remove the following words from .github/.cspell/project-dictionary.txt"
error "unused words in dictionaries; please remove the following words from ${project_dictionary}"
echo "======================================="
echo -n "${unused}"
echo "======================================="